Table of Contents

## Name

autool - audio play/record tool compatible with audiotool

## Synopsys

audiotool [-audio servername] [-volume percent] [-display displayname] [-geom geometry] filename

## Description

The autool program is a replacement for the Sun audiotool program used to send audio files to Network Audio System servers. It can be used either by making a symbolic link name audiotool that points to autool and is before the OpenWindows version or by changing the OpenWindows deskset bindings database with the binder(1) command.

## Options

The following options may be used with the autool program:

-audio servername
  This option specifies the Network Audio System server on which the files should be played.
-volume 0-100
  This option specifies the volume at which the data should be played as a percentage of the maximum possible volume. The default is 10 percent.
-display displayname
  This option specifies the X Window System on which the control panel should be displayed.
-geom geometry
  This option specifies the position and size of the control panel.

## Configuring Openwindows to Use Autool

OpenWindows users can configure deskset applications to use autool to play audio files through following steps:

.
1. Run the deskset configuration program binder.
.
2. Locate the entry in the scrolling list named audio-file click on it once with the left mouse button.
.
3. From the Props menu, select the Icon... entry with the right mouse button.
.
4. Click on the button marked (+) in the lower right corner with the left mouse button. This will expand the window, adding another panel to the right.
.
5. On the line marked Application in the panel on the right, change ``audiotool'' to ``autool'' (you will need to specify a full path name if you have not installed autool in a directory in your path). The initial volume (which is a percentage relative to the recorded level; the default is 10) can be increased by inserting the ``-v percent'' option between ``autool'' and ``$FILE''.
.
6. Press the Apply button in the left panel.
.
7. Back in the main binder window, press the Save button in the upper left corner.
.
8. Restart any deskset applications such as filemgr to have the updated values take effect.

Double clicking in filemgr on file names that end in .snd will now cause autool to invoked.

## Environment

The following environment variables are used by autool:

AUDIOSERVER
  This variable specifies the default audio server to contact if -audio is not specified on the command line.
DISPLAY
  If AUDIOSERVER is not set, this variable is examined to find the name of the corresponding X Window System display.

## See Also

nas(1)

## Copyright

Copyright 1993, 1994 Network Computing Devices, Inc.

## Author

Dave Lemke, Network Computing Devices, Inc.

Table of Contents

- Name
- Synopsys
- Description
- Options
- Configuring Openwindows to Use Autool
- Environment
- See Also
- Copyright
- Author